Delete folder
curl --request DELETE \
--url https://api.hubapi.com/crm/lists/2026-09-beta/folders/{folderId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/lists/2026-09-beta/folders/{folderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/lists/2026-09-beta/folders/{folderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Folders
Delete folder
Delete a specific folder within the CRM lists by providing the folder’s unique identifier. This operation is useful for removing folders that are no longer needed or to clean up the folder structure within your CRM lists.
DELETE
/
crm
/
lists
/
2026-09-beta
/
folders
/
{folderId}
Delete folder
Last modified on August 7, 2026
Was this page helpful?
⌘I